Orxonox: orxonox::Map Class Reference

# orxonox::Map Class Reference

`#include <src/orxonox/overlays/map/Map.h>`

Inheritance diagram for orxonox::Map:

List of all members.

## Public Member Functions

virtual void | changedOwner ()
bool | getVisibility ()
| Map (BaseObject *creator)
virtual void | tick (float dt)
| Gets called every frame.
virtual void | XMLPort (Element &xmlElement, XMLPort::Mode mode)
| Loads the OrxonoxOverlay.
virtual | ~Map ()

## Static Public Member Functions

static Ogre::MaterialPtr | createRenderCamera (Ogre::Camera *cam, const std::string &matName)
static Ogre::SceneManager * | getMapSceneManager ()
static Ogre::SceneManager * | getMapSceneManagerPtr ()
static Map * | getSingletonPtr ()
static void | hackDestroyMap ()
static void | openMap ()
static void | rotatePitch (const Vector2 &value)
static void | rotateYaw (const Vector2 &value)
static void | Zoom (const Vector2 &value)

## Static Public Attributes

static const int | maxRange_s = 1000

## Private Member Functions

void | toggleVisibility ()
void | updatePositions ()

## Static Private Member Functions

static void | setMapSceneManager (Ogre::SceneManager *sm)

## Private Attributes

bool | isVisible_
int | mouseLookSpeed_
Ogre::MovablePlane * | movablePlane_
Ogre::OverlayManager * | oManager_
Ogre::SceneNode * | planeNode_
Ogre::SceneNode * | playerShipNode_
Ogre::SceneManager * | sManager_

## Static Private Attributes

static Ogre::Camera * | Cam_ = 0
static Ogre::SceneNode * | CamNode_ = 0
static Ogre::SceneManager * | mapSceneM_s = 0
static Ogre::Overlay * | overlay_ = 0
| The overlay the entire class is about.
static Ogre::MaterialPtr | OverlayMaterial_
static Map * | singletonMap_s = 0

## Friends

class | RadarViewable

## Constructor & Destructor Documentation

orxonox::Map::Map | ( | BaseObject * | creator | ) |

References Cam_, CamNode_, createRenderCamera(), getMapSceneManager(), orxonox::getUniqueNumberString(), isVisible_, mouseLookSpeed_, movablePlane_, overlay_, OverlayMaterial_, planeNode_, playerShipNode_, RegisterObject, setMapSceneManager(), singletonMap_s, and sManager_.

orxonox::Map::~Map | ( |  | ) | `[virtual]`

References singletonMap_s.

## Member Function Documentation

void orxonox::Map::changedOwner | ( |  | ) | `[virtual]`

Reimplemented from orxonox::OrxonoxOverlay.

References orxonox::CameraPosition::attachCamera(), Cam_, orxonox::OrxonoxOverlay::getOwner(), orxonox::ControllableEntity::getReverseCamera(), and SUPER.

Ogre::MaterialPtr orxonox::Map::createRenderCamera | ( | Ogre::Camera * | cam,
|  | const std::string & | matName |
| ) |  |  | `[static]`

Referenced by Map().

static Ogre::SceneManager* orxonox::Map::getMapSceneManager | ( |  | ) | `[inline, static]`

References mapSceneM_s.

Referenced by Map(), and updatePositions().

static Ogre::SceneManager* orxonox::Map::getMapSceneManagerPtr | ( |  | ) | `[inline, static]`

References mapSceneM_s, and singletonMap_s.

Referenced by orxonox::RadarViewable::addMapEntity().

static Map* orxonox::Map::getSingletonPtr | ( |  | ) | `[inline, static]`

References singletonMap_s.

Referenced by orxonox::RadarViewable::addMapEntity(), orxonox::HumanController::rotatePitch(), orxonox::HumanController::rotateYaw(), and orxonox::RadarViewable::updateMapPosition().

bool orxonox::Map::getVisibility | ( |  | ) | `[inline]`

void orxonox::Map::hackDestroyMap | ( |  | ) | `[static]`

References OverlayMaterial_.

Referenced by orxonox::GraphicsManager::~GraphicsManager().

void orxonox::Map::openMap | ( |  | ) | `[static]`

void orxonox::Map::rotatePitch | ( | const Vector2 & | value | ) | `[static]`

References CamNode_, mouseLookSpeed_, and singletonMap_s.

Referenced by orxonox::HumanController::rotatePitch().

void orxonox::Map::rotateYaw | ( | const Vector2 & | value | ) | `[static]`

References CamNode_, mouseLookSpeed_, and singletonMap_s.

Referenced by orxonox::HumanController::rotateYaw().

static void orxonox::Map::setMapSceneManager | ( | Ogre::SceneManager * | sm | ) | `[inline, static, private]`

References mapSceneM_s.

Referenced by Map().

void orxonox::Map::tick | ( | float | dt | ) | `[virtual]`

Gets called every frame.

Parameters:

  | dt | The time since the last frame in seconds

Implements orxonox::Tickable.

References isVisible_, and updatePositions().

void orxonox::Map::toggleVisibility | ( |  | ) | `[private]`

References isVisible_, orxonox::HumanController::localController_s, orxonox::HumanController::mouseLook(), and overlay_.

void orxonox::Map::updatePositions | ( |  | ) | `[private]`

References Cam_, CamNode_, orxonox::DISTANCE, getMapSceneManager(), movablePlane_, orxonox::PITCH, planeNode_, playerShipNode_, and orxonox::MT_Type::Vector3.

Referenced by tick().

void orxonox::Map::XMLPort | ( | Element & | xmlElement,
|  | XMLPort::Mode | mode |
| ) |  |  | `[virtual]`

Loads the OrxonoxOverlay.

This has to be called before usage, otherwise strange behaviour is guaranteed! (there should be no segfaults however). XML loading and saving.

Parameters:

  | xmlelement | The XML-element
  | loading | Loading (true) or saving (false)

Returns:
  The XML-element

Reimplemented from orxonox::OrxonoxOverlay.

References SUPER.

void orxonox::Map::Zoom | ( | const Vector2 & | value | ) | `[static]`

References Cam_, CamNode_, mouseLookSpeed_, and singletonMap_s.

## Friends And Related Function Documentation

friend class RadarViewable`[friend]`

## Member Data Documentation

Ogre::Camera * orxonox::Map::Cam_ = 0`[static, private]`

Referenced by changedOwner(), Map(), updatePositions(), and Zoom().

Ogre::SceneNode * orxonox::Map::CamNode_ = 0`[static, private]`

Referenced by Map(), rotatePitch(), rotateYaw(), updatePositions(), and Zoom().

bool orxonox::Map::isVisible_`[private]`

Referenced by Map(), tick(), and toggleVisibility().

Ogre::SceneManager * orxonox::Map::mapSceneM_s = 0`[static, private]`

Referenced by getMapSceneManager(), getMapSceneManagerPtr(), and setMapSceneManager().

const int orxonox::Map::maxRange_s = 1000`[static]`

int orxonox::Map::mouseLookSpeed_`[private]`

Referenced by Map(), rotatePitch(), rotateYaw(), and Zoom().

Ogre::MovablePlane* orxonox::Map::movablePlane_`[private]`

Referenced by Map(), and updatePositions().

Ogre::OverlayManager* orxonox::Map::oManager_`[private]`

Ogre::Overlay * orxonox::Map::overlay_ = 0`[static, private]`

The overlay the entire class is about.

Reimplemented from orxonox::OrxonoxOverlay.

Referenced by Map(), and toggleVisibility().

Ogre::MaterialPtr orxonox::Map::OverlayMaterial_`[static, private]`

Referenced by hackDestroyMap(), and Map().

Ogre::SceneNode* orxonox::Map::planeNode_`[private]`

Referenced by Map(), and updatePositions().

Ogre::SceneNode* orxonox::Map::playerShipNode_`[private]`

Referenced by Map(), and updatePositions().

Map * orxonox::Map::singletonMap_s = 0`[static, private]`

Referenced by getMapSceneManagerPtr(), getSingletonPtr(), Map(), rotatePitch(), rotateYaw(), Zoom(), and ~Map().

Ogre::SceneManager* orxonox::Map::sManager_`[private]`

Referenced by Map().

The documentation for this class was generated from the following files:

- src/orxonox/overlays/map/Map.h
- src/orxonox/overlays/map/Map.cc